using AutoMapper;
using DSaC.Models.DTOs;
using DSaC.Models.Internal.Сommands;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace DSaC.Database.Models
{
    [Table("counterparty")]
    [AutoMap(typeof(CounterpartyBaseDto))]
    [AutoMap(typeof(CounterpartyViewDto))]
    public class Counterparty
    {
        [Key]
        [Column("id")]
        public Guid Id { get; set; }

        [Required]
        [MaxLength(255)]
        [Column("name")]
        public string Name { get; set; }
    }
}
